Пример #1
0
        private WinCtrlRoot GetRootControl()
        {
            var root = new WinCtrlRoot(this.winGLCanvas1.Width, this.winGLCanvas1.Height);

            string folder = System.Windows.Forms.Application.StartupPath;
            var    bitmap = new Bitmap(System.IO.Path.Combine(folder, @"particle.png"));

            {
                var control = new CtrlImage(bitmap, false);
                control.Location = new GUIPoint(10, 10);
                control.Width    = 100; control.Height = 50;
                bitmap.Dispose();
                root.Children.Add(control);
            }
            {
                var control = new CtrlButton()
                {
                    Anchor = GUIAnchorStyles.Left | GUIAnchorStyles.Bottom
                };
                control.Location = new GUIPoint(10, 70);
                control.Width    = 100; control.Height = 50;
                root.Children.Add(control);
                control.Focused = true;
            }

            return(root);
        }
Пример #2
0
        private WinCtrlRoot GetRootControl()
        {
            var root = new WinCtrlRoot(this.winGLCanvas1.Width, this.winGLCanvas1.Height);

            var bitmap = new Bitmap(@"particle.png");

            {
                var control = new CtrlImage(bitmap, false);
                control.Location = new GUIPoint(10, 10);
                control.Width    = 100; control.Height = 50;
                bitmap.Dispose();
                root.Children.Add(control);
            }
            {
                var control = new CtrlButton()
                {
                    Anchor = GUIAnchorStyles.Left | GUIAnchorStyles.Bottom
                };
                control.Location = new GUIPoint(10, 70);
                control.Width    = 100; control.Height = 50;
                root.Children.Add(control);
                control.Focused = true;
            }

            return(root);
        }
Пример #3
0
        protected void Calque()
        {
            try
            {
                Groupe G;
                G = _Calque.AjouterGroupe("Appliquer");

                _Button_Preselection = G.AjouterBouton("Preselectionner");
                _Button_Preselection.OnButtonPress += delegate(object sender) { PreSelection(); };

                G = _Calque.AjouterGroupe("Plan de symetrie");

                _Select_P_Symetrie = G.AjouterSelectionBox("Selectionnez le plan");
                _Select_P_Symetrie.SelectionMultipleMemeEntite = false;
                _Select_P_Symetrie.SelectionDansMultipleBox    = false;
                _Select_P_Symetrie.UneSeuleEntite = true;
                _Select_P_Symetrie.FiltreSelection(swSelectType_e.swSelDATUMPLANES);

                G             = _Calque.AjouterGroupe("Corps à symétriser");
                _Select_Corps = G.AjouterSelectionBox("Selectionnez les corps");
                _Select_Corps.SelectionMultipleMemeEntite = false;
                _Select_Corps.SelectionDansMultipleBox    = false;
                _Select_Corps.UneSeuleEntite = false;
                _Select_Corps.Hauteur        = 13;
                _Select_Corps.FiltreSelection(swSelectType_e.swSelSOLIDBODIES);

                G = _Calque.AjouterGroupe("Options");

                _Check_SupprimerSymetrie           = G.AjouterCheckBox("Supprimer l'original");
                _Check_SupprimerSymetrie.IsChecked = true;
            }
            catch (Exception e)
            { this.LogMethode(new Object[] { e }); }
        }
Пример #4
0
        protected void Calque()
        {
            try
            {
                Groupe G;

                _Groupe1 = _Calque.AjouterGroupe("Selectionner les composants de base");

                _Select_CompBase = _Groupe1.AjouterSelectionBox("", "Selectionnez les composants");
                _Select_CompBase.SelectionMultipleMemeEntite = false;
                _Select_CompBase.SelectionDansMultipleBox    = false;
                _Select_CompBase.UneSeuleEntite = false;
                _Select_CompBase.FiltreSelection(swSelectType_e.swSelCOMPONENTS, swSelectType_e.swSelFACES);
                _Select_CompBase.OnSubmitSelection += SelectionnerPiece;
                _Select_CompBase.Hauteur            = 8;
                _Select_CompBase.Focus              = true;

                Isoler.ListSelectionBox.Add(_Select_CompBase);

                _FiltreCompBase = new FiltreComp(MdlBase, _Groupe1, _Select_CompBase, PrefixeBase);

                _Groupe2 = _Calque.AjouterGroupe("Selectionner les composants empreinte");

                _Select_CompEmpreinte = _Groupe2.AjouterSelectionBox("", "Selectionnez les composants");
                _Select_CompEmpreinte.SelectionMultipleMemeEntite = false;
                _Select_CompEmpreinte.SelectionDansMultipleBox    = false;
                _Select_CompEmpreinte.UneSeuleEntite = false;
                _Select_CompEmpreinte.FiltreSelection(swSelectType_e.swSelCOMPONENTS, swSelectType_e.swSelFACES);
                _Select_CompEmpreinte.OnSubmitSelection += SelectionnerPiece;
                _Select_CompEmpreinte.Hauteur            = 8;

                Isoler.ListSelectionBox.Add(_Select_CompEmpreinte);

                _FiltreCompEmpreinte = new FiltreComp(MdlBase, _Groupe2, _Select_CompEmpreinte, PrefixeEmpreinte);

                _Groupe1.OnExpand   += _Groupe2.UnExpand;
                _Groupe1.OnUnExpand += _Groupe2.Expand;
                _Groupe2.OnExpand   += _Groupe1.UnExpand;
                _Groupe2.OnUnExpand += _Groupe1.Expand;
                _Groupe2.UnExpand();

                G = _Calque.AjouterGroupe("Options");

                _Button_IsolerComposants = G.AjouterBouton("Isoler les composants");
                _Button_IsolerComposants.OnButtonPress += delegate(Object sender) { Isoler.Run(MdlBase); };

                Isoler.Bouton = _Button_IsolerComposants;

                _CheckBox_MasquerLesEmpreintes = G.AjouterCheckBox("Masquer toutes les empreintes");
            }
            catch (Exception e)
            { this.LogMethode(new Object[] { e }); }
        }
Пример #5
0
        void IPropertyManagerPage2Handler9.OnButtonPress(int Id)
        {
            if (!CanRaiseEvent())
            {
                return;
            }

            CtrlButton Bouton = _Calque.DicControl[Id] as CtrlButton;

            if (Bouton.IsRef())
            {
                Bouton.ButtonPress(Bouton);
            }
        }
Пример #6
0
            public FiltreComp(ModelDoc2 mdl, Groupe g, CtrlSelectionBox SelectionBox, Parametre Prefixe)
            {
                _Mdl          = mdl;
                _SelectionBox = SelectionBox;

                G = g;

                _Select_CompBase = G.AjouterSelectionBox("", "Selectionnez le composant");
                _Select_CompBase.SelectionMultipleMemeEntite = true;
                _Select_CompBase.SelectionDansMultipleBox    = true;
                _Select_CompBase.UneSeuleEntite = true;
                _Select_CompBase.FiltreSelection(swSelectType_e.swSelCOMPONENTS, swSelectType_e.swSelFACES);
                _Select_CompBase.OnSelectionChanged += delegate(Object sender, int nb) { AfficherInfos(); };
                _Select_CompBase.OnSubmitSelection  += SelectionnerPiece;
                _Select_CompBase.Hauteur             = 2;

                _TextBox_NomComp = G.AjouterTexteBox("");
                _TextBox_NomComp.LectureSeule    = true;
                _TextBox_NomComp.NotifieSurFocus = true;

                o1 = G.AjouterOption("Filtrer propriete");
                o2 = G.AjouterOption("Filtrer config");

                o1.OnCheck += delegate(Object sender) { _TextBox_Prefixe.Visible = true; _TextListBox_Configs.Visible = false; };
                o2.OnCheck += delegate(Object sender) { _TextBox_Prefixe.Visible = false; _TextListBox_Configs.Visible = true; };

                _TextBox_Prefixe = G.AjouterTexteBox(Prefixe, true);

                _TextListBox_Configs = G.AjouterTextListBox("Liste des configurations");
                _TextListBox_Configs.TouteHauteur      = true;
                _TextListBox_Configs.Height            = 50;
                _TextListBox_Configs.SelectionMultiple = true;

                _Button = G.AjouterBouton("Filtrer");
                _Button.OnButtonPress += delegate(Object sender)
                {
                    if (o1.IsChecked)
                    {
                        RechercherComp(_SelectionBox, _TextBox_Prefixe.Text);
                    }
                    else
                    {
                        SelectionnerComposants();
                    }
                };
            }
Пример #7
0
        private WinCtrlRoot GetRootControl()
        {
            var root = new WinCtrlRoot(this.winGLCanvas1.Width, this.winGLCanvas1.Height);

            string folder = System.Windows.Forms.Application.StartupPath;
            var    bitmap = new Bitmap(System.IO.Path.Combine(folder, @"particle.png"));

            {
                var control = new CtrlImage(bitmap, false)
                {
                    Anchor = GUIAnchorStyles.Left | GUIAnchorStyles.Bottom
                };
                control.Location = new GUIPoint(10, 10);
                control.Width    = 100; control.Height = 50;
                bitmap.Dispose();
                control.MouseUp += control_MouseUp;
                root.Children.Add(control);
            }
            {
                var control = new CtrlButton()
                {
                    Anchor = GUIAnchorStyles.Left | GUIAnchorStyles.Bottom
                };
                control.Location = new GUIPoint(10, 70);
                control.Width    = 100; control.Height = 50;
                control.Focused  = true;
                control.MouseUp += control_MouseUp;
                root.Children.Add(control);
            }
            {
                var control = new CtrlLabel(100)
                {
                    Anchor = GUIAnchorStyles.Left | GUIAnchorStyles.Bottom
                };
                control.Location         = new GUIPoint(10, 130);
                control.Width            = 100; control.Height = 30;
                control.Text             = "Hello CSharpGL!";
                control.RenderBackground = true;
                control.BackgroundColor  = new vec4(1, 0, 0, 1);
                control.MouseUp         += control_MouseUp;

                root.Children.Add(control);
            }

            return(root);
        }
Пример #8
0
        protected void Calque()
        {
            try
            {
                Groupe G;
                G = _Calque.AjouterGroupe("Appliquer");

                _CheckBox_EnregistrerSelection      = G.AjouterCheckBox("Enregistrer les selections");
                _Button_Preselection                = G.AjouterBouton("Preselectionner");
                _Button_Preselection.OnButtonPress += delegate(object sender) { PreSelection(); };

                G = _Calque.AjouterGroupe("Piece sur laquelle inserer les perçages");

                _Select_Base = G.AjouterSelectionBox("Selectionnez le composant");
                _Select_Base.SelectionMultipleMemeEntite = false;
                _Select_Base.SelectionDansMultipleBox    = false;
                _Select_Base.UneSeuleEntite = true;
                _Select_Base.FiltreSelection(swSelectType_e.swSelCOMPONENTS, swSelectType_e.swSelFACES);
                _Select_Base.OnSubmitSelection  += SelectionnerPiece;
                _Select_Base.OnApplyOnSelection += delegate(Object Box) { SvgNomComposant(Box, _pPieceBase); };

                G = _Calque.AjouterGroupe("Composant de perçage");

                _Select_Percage = G.AjouterSelectionBox("Selectionnez le composant");
                _Select_Percage.SelectionMultipleMemeEntite = false;
                _Select_Percage.SelectionDansMultipleBox    = false;
                _Select_Percage.UneSeuleEntite = true;
                _Select_Percage.FiltreSelection(swSelectType_e.swSelCOMPONENTS, swSelectType_e.swSelFACES);
                _Select_Percage.OnSubmitSelection  += SelectionnerComposant1erNvx;
                _Select_Percage.OnApplyOnSelection += delegate(Object Box) { SvgNomComposant(Box, _pPercage); };

                _Select_Base.OnApplyOnSelection += _Select_Percage.GainedFocus;

                G = _Calque.AjouterGroupe("Diametres des trous à contraindre en mm"
                                          + "\r\n  0 ou vide pour tout les perçages"
                                          + "\r\n  Valeurs séparés par une virgule");

                _Text_Diametre = G.AjouterTexteBox(_pDiametre, false);

                // OnCheck, on enregistre les parametres
                _CheckBox_EnregistrerSelection.OnCheck += _Select_Base.ApplyOnSelection;
                _CheckBox_EnregistrerSelection.OnCheck += _Select_Percage.ApplyOnSelection;
            }
            catch (Exception e)
            { this.LogMethode(new Object[] { e }); }
        }
Пример #9
0
        protected void Calque()
        {
            try
            {
                Groupe G;

                G = _Calque.AjouterGroupe("Selectionnez le fichier : ");

                _Texte_SelectionnerFichierInfos = G.AjouterTexteBox();
                _Texte_SelectionnerFichierInfos.LectureSeule = true;

                _Bouton_Parcourir = G.AjouterBouton("Parcourir");
                _Bouton_Parcourir.OnButtonPress += delegate(Object Bouton)
                {
                    OpenFileDialog pDialogue = new OpenFileDialog
                    {
                        Filter           = "Fichier texte (*.txt)|*.txt|Tout les fichiers (*.*)|*.*",
                        Multiselect      = false,
                        InitialDirectory = Path.GetDirectoryName(MdlBase.GetPathName()),
                        RestoreDirectory = true
                    };

                    String pChemin = "";

                    if (pDialogue.ShowDialog() == System.Windows.Forms.DialogResult.OK)
                    {
                        pChemin = pDialogue.FileName;
                    }

                    PublierInfos(pChemin);
                };

                _TextListBox_AfficherInfos = G.AjouterTextListBox("Contenu du fichier :");
                _TextListBox_AfficherInfos.TouteHauteur      = true;
                _TextListBox_AfficherInfos.Height            = 90;
                _TextListBox_AfficherInfos.SelectionMultiple = true;

                G = _Calque.AjouterGroupe("Options");

                _CheckBox_ComposantsExterne = G.AjouterCheckBox(_pComposantsExterne);
                _CheckBox_ToutReconstruire  = G.AjouterCheckBox(_pToutReconstruire);
            }
            catch (Exception e)
            { this.LogMethode(new Object[] { e }); }
        }
Пример #10
0
        protected void Calque()
        {
            try
            {
                Groupe G;

                if (MdlBase.TypeDoc() == eTypeDoc.Assemblage)
                {
                    G = _Calque.AjouterGroupe("Options");

                    _Button_IsolerComposants = G.AjouterBouton("Isoler les composants");
                    _Button_IsolerComposants.OnButtonPress += delegate(Object sender) { IsolerComposants(); };
                }

                G = _Calque.AjouterGroupe("Repères :");

                _TextListBox_Reperes = G.AjouterTextListBox();
                _TextListBox_Reperes.TouteHauteur        = true;
                _TextListBox_Reperes.Height              = 170;
                _TextListBox_Reperes.SelectionMultiple   = false;
                _TextListBox_Reperes.OnSelectionChanged += SelectionChanged;

                _CheckBox_ComposantsCache            = G.AjouterCheckBox("Prendre en compte les composants cachés");
                _CheckBox_ComposantsCache.OnIsCheck += delegate(Object sender, Boolean value) { AfficherReperes(); };

                G = _Calque.AjouterGroupe("Selection");

                _TextBox_Nb = G.AjouterTexteBox("Nb de corps :");
                _TextBox_Nb.LectureSeule = true;

                _Select_Selection = G.AjouterSelectionBox("");
                _Select_Selection.SelectionMultipleMemeEntite = true;
                _Select_Selection.SelectionDansMultipleBox    = true;
                _Select_Selection.UneSeuleEntite = false;
                _Select_Selection.FiltreSelection(swSelectType_e.swSelSOLIDBODIES, swSelectType_e.swSelCOMPONENTS);
                _Select_Selection.Hauteur             = 15;
                _Select_Selection.OnSelectionChanged += delegate(Object sender, int nb) { _TextBox_Nb.Text = nb.ToString(); };
            }
            catch (Exception e)
            { this.LogMethode(new Object[] { e }); }
        }
Пример #11
0
            protected void Calque()
            {
                try
                {
                    MdlBase.eEffacerSelection();

                    GroupeMarche = _Calque.AjouterGroupe("Marches");

                    _Select_Marche = GroupeMarche.AjouterSelectionBox("", "Selectionnez les marches", false);
                    _Select_Marche.SelectionMultipleMemeEntite = false;
                    _Select_Marche.SelectionDansMultipleBox    = true;
                    _Select_Marche.UneSeuleEntite = false;
                    _Select_Marche.FiltreSelection(swSelectType_e.swSelCOMPONENTS, swSelectType_e.swSelFACES);
                    _Select_Marche.Hauteur = 7;

                    _Select_Marche.OnSubmitSelection += SelectionnerComposant1erNvx;

                    _Button_Selection = GroupeMarche.AjouterBouton("Modifier la selection");
                    _Button_Selection.OnButtonPress += MajAngle;

                    GroupeParametres = _Calque.AjouterGroupe("Parametrage");

                    _TextListBox_Marche = GroupeParametres.AjouterTextListBox("Liste des marches", "Selectionnez la marche à modifier");
                    _TextListBox_Marche.SelectionMultiple   = false;
                    _TextListBox_Marche.TouteHauteur        = true;
                    _TextListBox_Marche.Height              = 70;
                    _TextListBox_Marche.OnSelectionChanged += SelectionChanged;

                    _TextBox_Angle                 = GroupeParametres.AjouterTexteBox("Angle de la marche", "");
                    _TextBox_Angle.Multiligne      = false;
                    _TextBox_Angle.NotifieSurFocus = true;

                    GroupeParametres.Expanded = false;

                    GroupeMarche.OnExpand     += GroupeParametres.UnExpand;
                    GroupeParametres.OnExpand += GroupeMarche.UnExpand;
                    GroupeMarche.OnExpand     += Vider;
                }
                catch (Exception e)
                { this.LogMethode(new Object[] { e }); }
            }
Пример #12
0
        private WinCtrlRoot GetRootControl()
        {
            var root = new WinCtrlRoot(this.winGLCanvas1.Width, this.winGLCanvas1.Height);

            var bitmap = new Bitmap(@"particle.png");

            {
                var control = new CtrlImage(bitmap, false);
                control.Left  = 10; control.Bottom = 10;
                control.Width = 100; control.Height = 50;
                bitmap.Dispose();
                root.Children.Add(control);
            }
            {
                var control = new CtrlButton();
                control.Left  = 10; control.Bottom = 70;
                control.Width = 100; control.Height = 50;
                root.Children.Add(control);
            }

            return(root);
        }
Пример #13
0
        protected void Calque()
        {
            try
            {
                Groupe G;

                if (MdlBase.TypeDoc() == eTypeDoc.Assemblage)
                {
                    G = _Calque.AjouterGroupe("Options");

                    _Button_IsolerComposants = G.AjouterBouton("Isoler les composants");
                    _Button_IsolerComposants.OnButtonPress += delegate(Object sender) { IsolerComposants(); };
                }

                G = _Calque.AjouterGroupe("Percages :");

                _TextListBox_Percage = G.AjouterTextListBox();
                _TextListBox_Percage.TouteHauteur        = true;
                _TextListBox_Percage.Height              = 170;
                _TextListBox_Percage.SelectionMultiple   = false;
                _TextListBox_Percage.OnSelectionChanged += SelectionChanged;

                G = _Calque.AjouterGroupe("Selection");

                _Select_Selection = G.AjouterSelectionBox("");
                _Select_Selection.SelectionMultipleMemeEntite = true;
                _Select_Selection.SelectionDansMultipleBox    = true;
                _Select_Selection.UneSeuleEntite = false;
                _Select_Selection.FiltreSelection(new List <swSelectType_e>()
                {
                    swSelectType_e.swSelFACES
                });
                _Select_Selection.Hauteur = 15;
            }
            catch (Exception e)
            { this.LogMethode(new Object[] { e }); }
        }
            protected void Calque()
            {
                try
                {
                    Groupe G;
                    G = _Calque.AjouterGroupe("Appliquer");

                    _CheckBox_ToutesLesConfig           = G.AjouterCheckBox(pToutesLesConfig);
                    _CheckBox_EnregistrerSelection      = G.AjouterCheckBox("Enregistrer les selections");
                    _Button_Preselection                = G.AjouterBouton("Preselectionner");
                    _Button_Preselection.OnButtonPress += delegate(object sender) { PreSelection(); };

                    G = _Calque.AjouterGroupe("Face du dessus" + " ( " + pFaceDessus.GetValeur <String>() + "@" + pMarche.GetValeur <String>() + " )");

                    _Select_F_Dessus = G.AjouterSelectionBox("Selectionnez la face du dessus");
                    _Select_F_Dessus.SelectionMultipleMemeEntite = false;
                    _Select_F_Dessus.SelectionDansMultipleBox    = false;
                    _Select_F_Dessus.UneSeuleEntite = true;
                    _Select_F_Dessus.FiltreSelection(swSelectType_e.swSelFACES);

                    _Select_F_Dessus.OnSubmitSelection += delegate(Object SelBox, Object selection, int selType, String itemText)
                    { return(FiltreFace((CtrlSelectionBox)SelBox, selection, selType, pFaceDessus)); };

                    _Select_F_Dessus.OnApplyOnSelection += delegate(Object Box) { SvgNomComposant(Box, pMarche); };

                    G = _Calque.AjouterGroupe("Face de devant" + " ( " + pFaceDevant.GetValeur <String>() + "@" + pMarche.GetValeur <String>() + " )");

                    _Select_F_Devant = G.AjouterSelectionBox("Selectionnez la face de devant");
                    _Select_F_Devant.SelectionMultipleMemeEntite = false;
                    _Select_F_Devant.SelectionDansMultipleBox    = false;
                    _Select_F_Devant.UneSeuleEntite = true;
                    _Select_F_Devant.FiltreSelection(swSelectType_e.swSelFACES);

                    _Select_F_Devant.OnSubmitSelection += delegate(Object SelBox, Object selection, int selType, String itemText)
                    { return(FiltreFace((CtrlSelectionBox)SelBox, selection, selType, pFaceDevant)); };

                    _Select_F_Devant.OnApplyOnSelection += delegate(Object Box) { SvgNomComposant(Box, pMarche); };

                    _Select_F_Dessus.OnApplyOnSelection += _Select_F_Devant.GainedFocus;

                    G = _Calque.AjouterGroupe("Contremarche" + " ( " + pNomEsquisse.GetValeur <String>() + "@" + pEsquisse.GetValeur <String>() + " )");

                    _Select_ContreMarche_Esquisse = G.AjouterSelectionBox("Selectionnez l'esquisse à configurer", "Esquisse à configurer");
                    _Select_ContreMarche_Esquisse.SelectionMultipleMemeEntite = false;
                    _Select_ContreMarche_Esquisse.SelectionDansMultipleBox    = false;
                    _Select_ContreMarche_Esquisse.UneSeuleEntite = true;
                    _Select_ContreMarche_Esquisse.FiltreSelection(swSelectType_e.swSelSKETCHES, swSelectType_e.swSelCOMPONENTS);

                    _Select_ContreMarche_Esquisse.OnSubmitSelection += delegate(Object SelBox, Object selection, int selType, String itemText)
                    { return(FiltreEsquisse((CtrlSelectionBox)SelBox, selection, selType, pNomEsquisse)); };

                    _Select_ContreMarche_Esquisse.OnApplyOnSelection += delegate(Object Box) { SvgNomComposant(Box, pEsquisse); };
                    _Select_ContreMarche_Esquisse.OnApplyOnSelection += delegate(Object Box) { SvgNomFonction(Box, pNomEsquisse); };

                    _Select_F_Devant.OnApplyOnSelection += _Select_ContreMarche_Esquisse.GainedFocus;

                    //G = _Calque.AjouterGroupe("Options");

                    //_Text_NomEsquisse = G.AjouterTexteBox(_Config.GetParam("NomEsquisse"));
                }
                catch (Exception e)
                { this.LogMethode(new Object[] { e }); }
            }
Пример #15
0
 /// <summary>
 /// This method is required for Windows Forms designer support.
 /// Do not change the method contents inside the source code editor. The Forms designer might
 /// not be able to load this method if it was changed manually.
 /// </summary>
 private void InitializeComponent()
 {
     this.ctrlNumPad           = new Robot.CtrlNumPad();
     this.btnQuit              = new Robot.CtrlButton();
     this.ctrlIngredientSelect = new Robot.CtrlIngredientSelect();
     this.ctrlGroupSelect      = new Robot.CtrlGroupSelect();
     this.tableLayoutPanel2    = new System.Windows.Forms.TableLayoutPanel();
     this.tableLayoutPanel3    = new System.Windows.Forms.TableLayoutPanel();
     this.ctrl2ValuesDisplay1  = new Robot.Controls.Ctrl2ValuesDisplay();
     this.tableLayoutPanel1    = new System.Windows.Forms.TableLayoutPanel();
     this.tableLayoutPanel2.SuspendLayout();
     this.tableLayoutPanel3.SuspendLayout();
     this.tableLayoutPanel1.SuspendLayout();
     this.SuspendLayout();
     //
     // ctrlNumPad
     //
     this.ctrlNumPad.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                                                                     | System.Windows.Forms.AnchorStyles.Left)
                                                                    | System.Windows.Forms.AnchorStyles.Right)));
     this.ctrlNumPad.Location = new System.Drawing.Point(3, 126);
     this.ctrlNumPad.Name     = "ctrlNumPad";
     this.ctrlNumPad.Size     = new System.Drawing.Size(366, 427);
     this.ctrlNumPad.TabIndex = 0;
     //
     // btnQuit
     //
     this.btnQuit.BackColor   = System.Drawing.Color.Gainsboro;
     this.btnQuit.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
     this.btnQuit.Dock        = System.Windows.Forms.DockStyle.Fill;
     this.btnQuit.Font        = new System.Drawing.Font("Microsoft Sans Serif", 21.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
     this.btnQuit.Location    = new System.Drawing.Point(3, 464);
     this.btnQuit.MaxLength   = 0;
     this.btnQuit.Name        = "btnQuit";
     this.btnQuit.Size        = new System.Drawing.Size(108, 85);
     this.btnQuit.TabIndex    = 11;
     this.btnQuit.Text        = "Sortir";
     this.btnQuit.TextAlign   = System.Drawing.ContentAlignment.MiddleCenter;
     this.btnQuit.Click      += new System.EventHandler(this.BtnQuitClick);
     //
     // ctrlIngredientSelect
     //
     this.ctrlIngredientSelect.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                                                                               | System.Windows.Forms.AnchorStyles.Left)
                                                                              | System.Windows.Forms.AnchorStyles.Right)));
     this.ctrlIngredientSelect.Location = new System.Drawing.Point(549, 3);
     this.ctrlIngredientSelect.Name     = "ctrlIngredientSelect";
     this.ctrlIngredientSelect.Size     = new System.Drawing.Size(162, 556);
     this.ctrlIngredientSelect.TabIndex = 12;
     //
     // ctrlGroupSelect
     //
     this.ctrlGroupSelect.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                                                                          | System.Windows.Forms.AnchorStyles.Left)
                                                                         | System.Windows.Forms.AnchorStyles.Right)));
     this.ctrlGroupSelect.Location = new System.Drawing.Point(3, 3);
     this.ctrlGroupSelect.Name     = "ctrlGroupSelect";
     this.ctrlGroupSelect.Size     = new System.Drawing.Size(162, 556);
     this.ctrlGroupSelect.TabIndex = 13;
     //
     // tableLayoutPanel2
     //
     this.tableLayoutPanel2.ColumnCount = 4;
     this.tableLayoutPanel2.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 20F));
     this.tableLayoutPanel2.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 45F));
     this.tableLayoutPanel2.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 20F));
     this.tableLayoutPanel2.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 15F));
     this.tableLayoutPanel2.Controls.Add(this.ctrlGroupSelect, 0, 0);
     this.tableLayoutPanel2.Controls.Add(this.ctrlIngredientSelect, 2, 0);
     this.tableLayoutPanel2.Controls.Add(this.tableLayoutPanel3, 1, 0);
     this.tableLayoutPanel2.Controls.Add(this.tableLayoutPanel1, 3, 0);
     this.tableLayoutPanel2.Dock     = System.Windows.Forms.DockStyle.Fill;
     this.tableLayoutPanel2.Location = new System.Drawing.Point(0, 0);
     this.tableLayoutPanel2.Margin   = new System.Windows.Forms.Padding(3, 3, 7, 3);
     this.tableLayoutPanel2.Name     = "tableLayoutPanel2";
     this.tableLayoutPanel2.RowCount = 1;
     this.tableLayoutPanel2.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 100F));
     this.tableLayoutPanel2.Size     = new System.Drawing.Size(841, 562);
     this.tableLayoutPanel2.TabIndex = 15;
     //
     // tableLayoutPanel3
     //
     this.tableLayoutPanel3.ColumnCount = 1;
     this.tableLayoutPanel3.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 50F));
     this.tableLayoutPanel3.Controls.Add(this.ctrlNumPad, 0, 1);
     this.tableLayoutPanel3.Controls.Add(this.ctrl2ValuesDisplay1, 0, 0);
     this.tableLayoutPanel3.Dock     = System.Windows.Forms.DockStyle.Fill;
     this.tableLayoutPanel3.Location = new System.Drawing.Point(171, 3);
     this.tableLayoutPanel3.Name     = "tableLayoutPanel3";
     this.tableLayoutPanel3.RowCount = 2;
     this.tableLayoutPanel3.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 22.14076F));
     this.tableLayoutPanel3.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 77.85924F));
     this.tableLayoutPanel3.Size     = new System.Drawing.Size(372, 556);
     this.tableLayoutPanel3.TabIndex = 14;
     //
     // ctrl2ValuesDisplay1
     //
     this.ctrl2ValuesDisplay1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                                                                              | System.Windows.Forms.AnchorStyles.Left)
                                                                             | System.Windows.Forms.AnchorStyles.Right)));
     this.ctrl2ValuesDisplay1.Location = new System.Drawing.Point(3, 3);
     this.ctrl2ValuesDisplay1.Name     = "ctrl2ValuesDisplay1";
     this.ctrl2ValuesDisplay1.Size     = new System.Drawing.Size(366, 117);
     this.ctrl2ValuesDisplay1.TabIndex = 1;
     //
     // tableLayoutPanel1
     //
     this.tableLayoutPanel1.ColumnCount = 1;
     this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 50F));
     this.tableLayoutPanel1.Controls.Add(this.btnQuit, 0, 1);
     this.tableLayoutPanel1.Dock     = System.Windows.Forms.DockStyle.Fill;
     this.tableLayoutPanel1.Location = new System.Drawing.Point(717, 3);
     this.tableLayoutPanel1.Margin   = new System.Windows.Forms.Padding(3, 3, 10, 10);
     this.tableLayoutPanel1.Name     = "tableLayoutPanel1";
     this.tableLayoutPanel1.RowCount = 2;
     this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 84.53237F));
     this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 15.46763F));
     this.tableLayoutPanel1.Size     = new System.Drawing.Size(114, 549);
     this.tableLayoutPanel1.TabIndex = 15;
     //
     // frmEditRecipe
     //
     this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
     this.AutoScaleMode       = System.Windows.Forms.AutoScaleMode.Font;
     this.ClientSize          = new System.Drawing.Size(841, 562);
     this.Controls.Add(this.tableLayoutPanel2);
     this.Name               = "frmEditRecipe";
     this.StartPosition      = System.Windows.Forms.FormStartPosition.Manual;
     this.Text               = "EditRecipe";
     this.WindowState        = System.Windows.Forms.FormWindowState.Maximized;
     this.FormClosing       += new System.Windows.Forms.FormClosingEventHandler(this.FrmEditRecipeFormClosing);
     this.ClientSizeChanged += new System.EventHandler(this.FrmEditRecipeClientSizeChanged);
     this.tableLayoutPanel2.ResumeLayout(false);
     this.tableLayoutPanel3.ResumeLayout(false);
     this.tableLayoutPanel1.ResumeLayout(false);
     this.ResumeLayout(false);
 }
Пример #16
0
            protected void Calque()
            {
                try
                {
                    Groupe G;
                    G = _Calque.AjouterGroupe("Appliquer");

                    _CheckBox_ToutesLesConfig           = G.AjouterCheckBox(pToutesLesConfig);
                    _CheckBox_EnregistrerSelection      = G.AjouterCheckBox("Enregistrer les selections");
                    _Button_Preselection                = G.AjouterBouton("Preselectionner");
                    _Button_Preselection.OnButtonPress += delegate(object sender) { PreSelection(); };

                    G = _Calque.AjouterGroupe("Face du dessus" + " ( " + pFaceDessus.GetValeur <String>() + "@" + pMarche.GetValeur <String>() + " )");

                    _Select_F_Dessus = G.AjouterSelectionBox("", "Selectionnez la face du dessus");
                    _Select_F_Dessus.SelectionMultipleMemeEntite = false;
                    _Select_F_Dessus.SelectionDansMultipleBox    = false;
                    _Select_F_Dessus.UneSeuleEntite = true;
                    _Select_F_Dessus.FiltreSelection(swSelectType_e.swSelFACES, swSelectType_e.swSelCOMPONENTS);

                    _Select_F_Dessus.OnSubmitSelection += delegate(Object SelBox, Object selection, int selType, String itemText)
                    { return(FiltreFace((CtrlSelectionBox)SelBox, selection, selType, pFaceDessus)); };

                    _Select_F_Dessus.OnApplyOnSelection += delegate(Object Box) { SvgNomComposant(Box, pMarche); };

                    G = _Calque.AjouterGroupe("Face de devant" + " ( " + pFaceDevant.GetValeur <String>() + "@" + pMarche.GetValeur <String>() + " )");

                    _Select_F_Devant = G.AjouterSelectionBox("", "Selectionnez la face de devant");
                    _Select_F_Devant.SelectionMultipleMemeEntite = false;
                    _Select_F_Devant.SelectionDansMultipleBox    = false;
                    _Select_F_Devant.UneSeuleEntite = true;
                    _Select_F_Devant.FiltreSelection(swSelectType_e.swSelFACES, swSelectType_e.swSelCOMPONENTS);

                    _Select_F_Devant.OnSubmitSelection += delegate(Object SelBox, Object selection, int selType, String itemText)
                    { return(FiltreFace((CtrlSelectionBox)SelBox, selection, selType, pFaceDevant)); };

                    _Select_F_Devant.OnApplyOnSelection += delegate(Object Box) { SvgNomComposant(Box, pMarche); };

                    _Select_F_Dessus.OnApplyOnSelection += _Select_F_Devant.GainedFocus;

                    G = _Calque.AjouterGroupe("Platine gauche" + " ( " + pPlanContrainte.GetValeur <String>() + "@" + pPlatineG.GetValeur <String>() + " )");

                    _Select_PlatineG = G.AjouterSelectionBox("Plan à contraindre");
                    _Select_PlatineG.SelectionMultipleMemeEntite = false;
                    _Select_PlatineG.SelectionDansMultipleBox    = false;
                    _Select_PlatineG.UneSeuleEntite = true;
                    _Select_PlatineG.FiltreSelection(swSelectType_e.swSelDATUMPLANES, swSelectType_e.swSelCOMPONENTS, swSelectType_e.swSelFACES);

                    _Select_PlatineG.OnSubmitSelection += delegate(Object SelBox, Object selection, int selType, String itemText)
                    { return(FiltrePlan((CtrlSelectionBox)SelBox, selection, selType, pPlanContrainte)); };

                    // Svg des parametres
                    _Select_PlatineG.OnApplyOnSelection += delegate(Object Box) { SvgNomComposant(Box, pPlatineG); };
                    _Select_PlatineG.OnApplyOnSelection += delegate(Object Box) { SvgNomFonction(Box, pPlanContrainte); };

                    _Select_F_Devant.OnApplyOnSelection += _Select_PlatineG.GainedFocus;

                    G = _Calque.AjouterGroupe("Platine droite" + " ( " + pPlanContrainte.GetValeur <String>() + "@" + pPlatineD.GetValeur <String>() + " )");

                    _Select_PlatineD = G.AjouterSelectionBox("Plan à contraindre");
                    _Select_PlatineD.SelectionMultipleMemeEntite = false;
                    _Select_PlatineD.SelectionDansMultipleBox    = false;
                    _Select_PlatineD.UneSeuleEntite = true;
                    _Select_PlatineD.FiltreSelection(swSelectType_e.swSelDATUMPLANES, swSelectType_e.swSelCOMPONENTS, swSelectType_e.swSelFACES);

                    _Select_PlatineD.OnSubmitSelection += delegate(Object SelBox, Object selection, int selType, String itemText)
                    { return(FiltrePlan((CtrlSelectionBox)SelBox, selection, selType, pPlanContrainte)); };

                    // Svg des parametres
                    _Select_PlatineD.OnApplyOnSelection += delegate(Object Box) { SvgNomComposant(Box, pPlatineD); };
                    _Select_PlatineD.OnApplyOnSelection += delegate(Object Box) { SvgNomFonction(Box, pPlanContrainte); };

                    _Select_PlatineG.OnApplyOnSelection += _Select_PlatineD.GainedFocus;

                    // OnCheck, on enregistre les parametres
                    _CheckBox_EnregistrerSelection.OnCheck += _Select_F_Dessus.ApplyOnSelection;
                    _CheckBox_EnregistrerSelection.OnCheck += _Select_F_Devant.ApplyOnSelection;
                    _CheckBox_EnregistrerSelection.OnCheck += _Select_PlatineG.ApplyOnSelection;
                    _CheckBox_EnregistrerSelection.OnCheck += _Select_PlatineD.ApplyOnSelection;
                }
                catch (Exception e)
                { this.LogMethode(new Object[] { e }); }
            }
Пример #17
0
            public void AjouterAuCalque()
            {
                _Groupe = _Calque.AjouterGroupeAvecCheckBox(_ParamGroupe);

                _TextBox_CheminDossier = _Groupe.AjouterTexteBox();
                AfficherCheminDossier();
                _TextBox_CheminDossier.LectureSeule = true;

                if (_Selectionnable)
                {
                    _Button_Parcourir = _Groupe.AjouterBouton("Parcourir");
                    _Button_Parcourir.OnButtonPress += delegate(Object Bouton)
                    {
                        System.Windows.Forms.FolderBrowserDialog pDialogue = new System.Windows.Forms.FolderBrowserDialog();
                        pDialogue.SelectedPath = _Mdl.eDossier();

                        if (pDialogue.ShowDialog() == System.Windows.Forms.DialogResult.OK)
                        {
                            _NomDossierRelatif = OutilsCommun.CheminRelatif(_Mdl.eDossier(), pDialogue.SelectedPath);
                            AfficherCheminDossier();
                        }

                        Maj();
                    };

                    _TextListBox_ListeDossiers = _Groupe.AjouterTextListBox("Liste des dossiers");
                    _TextListBox_ListeDossiers.TouteHauteur = true;
                    _TextListBox_ListeDossiers.Height       = 50;

                    _TextListBox_ListeDossiers.OnSelectionChanged += delegate(Object sender, int Item)
                    {
                        _NomDossierCourant = _TextListBox_ListeDossiers.SelectedText;
                        MajListeFichiers();
                    };

                    _CheckBox_CreerDossier            = _Groupe.AjouterCheckBox("Nouveau dossier");
                    _TextBox_NomNvxDossier            = _Groupe.AjouterTexteBox();
                    _Button_CreerDossier              = _Groupe.AjouterBouton("Creer");
                    _CheckBox_CreerDossier.OnIsCheck += _TextBox_NomNvxDossier.IsEnable;
                    _CheckBox_CreerDossier.OnIsCheck += _Button_CreerDossier.IsEnable;
                    _CheckBox_CreerDossier.OnIsCheck += _TextBox_NomNvxDossier.IsVisible;
                    _CheckBox_CreerDossier.OnIsCheck += _Button_CreerDossier.IsVisible;
                    _CheckBox_CreerDossier.IsChecked  = false;

                    _Button_CreerDossier.OnButtonPress += delegate(Object Bouton)
                    {
                        String n = _TextBox_NomNvxDossier.Text;
                        Directory.CreateDirectory(Path.Combine(CheminDossierRelatif(), n));

                        Maj();

                        _CheckBox_CreerDossier.IsChecked        = false;
                        _TextListBox_ListeDossiers.SelectedText = n;
                    };
                }

                _TextListBox_ListeFichiers = _Groupe.AjouterTextListBox("Contenu du dossier :");
                _TextListBox_ListeFichiers.TouteHauteur = true;
                _TextListBox_ListeFichiers.Height       = 50;

                _TextBox_NomNvxFichier = _Groupe.AjouterTexteBox();
                _TextBox_NomNvxFichier.OnTextBoxChanged += delegate(Object sender, String text)
                {
                    if (!EcraserInfos)
                    {
                        return;
                    }

                    _NomFichierComplet = text;
                };
            }
Пример #18
0
            protected void Calque()
            {
                try
                {
                    Groupe G;
                    G = _Calque.AjouterGroupe("Appliquer");

                    _CheckBox_EnregistrerSelection      = G.AjouterCheckBox("Enregistrer les selections");
                    _Button_Preselection                = G.AjouterBouton("Preselectionner");
                    _Button_Preselection.OnButtonPress += delegate(object sender) { PreSelection(); };

                    G = _Calque.AjouterGroupe("Marche" + " ( " + _pMarche.GetValeur <String>() + " )");

                    _Select_Marche = G.AjouterSelectionBox("", "Selectionnez la marche");
                    _Select_Marche.SelectionMultipleMemeEntite = false;
                    _Select_Marche.SelectionDansMultipleBox    = false;
                    _Select_Marche.UneSeuleEntite = true;
                    _Select_Marche.FiltreSelection(swSelectType_e.swSelCOMPONENTS, swSelectType_e.swSelFACES);
                    _Select_Marche.OnSubmitSelection += FiltreMarche;

                    _Select_Marche.OnApplyOnSelection += delegate(Object Box) { SvgNomComposant(Box, _pMarche); };
                    _Select_Marche.OnSelectionChanged += EffacerContraintes;

                    G = _Calque.AjouterGroupe("Fonction de répetition");

                    _Select_FonctionRepet = G.AjouterSelectionBox("Fonction" + " ( " + _pFonctionRepet.GetValeur <String>() + "@" + _pPieceRepet.GetValeur <String>() + " )", "Selectionnez le plan");
                    _Select_FonctionRepet.SelectionMultipleMemeEntite = false;
                    _Select_FonctionRepet.SelectionDansMultipleBox    = false;
                    _Select_FonctionRepet.UneSeuleEntite = true;
                    _Select_FonctionRepet.FiltreSelection(new List <swSelectType_e>()
                    {
                        swSelectType_e.swSelBODYFEATURES,
                        swSelectType_e.swSelFACES
                    });
                    _Select_FonctionRepet.OnSubmitSelection  += FiltreFonctionRepetition;
                    _Select_FonctionRepet.OnSelectionChanged += EffacerContraintes;

                    // Svg des parametres
                    _Select_FonctionRepet.OnApplyOnSelection += delegate(Object Box) { SvgNomComposant(Box, _pPieceRepet); };
                    _Select_FonctionRepet.OnApplyOnSelection += delegate(Object Box) { SvgNomFonction(Box, _pFonctionRepet); };

                    _Select_Marche.OnApplyOnSelection += _Select_FonctionRepet.GainedFocus;

                    G = _Calque.AjouterGroupe("Contrainte point");

                    _Select_Contraintes_PointCorps = G.AjouterSelectionBox("Point sur le corps");
                    _Select_Contraintes_PointCorps.SelectionMultipleMemeEntite = false;
                    _Select_Contraintes_PointCorps.SelectionDansMultipleBox    = false;
                    _Select_Contraintes_PointCorps.UneSeuleEntite = true;
                    _Select_Contraintes_PointCorps.FiltreSelection(swSelectType_e.swSelVERTICES);

                    _Select_Contraintes_PointMarche = G.AjouterSelectionBox("Point dans la marche");
                    _Select_Contraintes_PointMarche.SelectionMultipleMemeEntite = false;
                    _Select_Contraintes_PointMarche.SelectionDansMultipleBox    = false;
                    _Select_Contraintes_PointMarche.UneSeuleEntite = true;
                    _Select_Contraintes_PointMarche.FiltreSelection(swSelectType_e.swSelEXTSKETCHPOINTS);

                    G = _Calque.AjouterGroupe("Contrainte axe");

                    _Select_Contraintes_ArreteCorps = G.AjouterSelectionBox("Arrete sur le corps");
                    _Select_Contraintes_ArreteCorps.SelectionMultipleMemeEntite = false;
                    _Select_Contraintes_ArreteCorps.SelectionDansMultipleBox    = false;
                    _Select_Contraintes_ArreteCorps.UneSeuleEntite = true;
                    _Select_Contraintes_ArreteCorps.FiltreSelection(swSelectType_e.swSelEDGES);

                    _Select_Contraintes_AxeMarche = G.AjouterSelectionBox("Axe dans la marche");
                    _Select_Contraintes_AxeMarche.SelectionMultipleMemeEntite = false;
                    _Select_Contraintes_AxeMarche.SelectionDansMultipleBox    = false;
                    _Select_Contraintes_AxeMarche.UneSeuleEntite = true;
                    _Select_Contraintes_AxeMarche.FiltreSelection(swSelectType_e.swSelDATUMAXES);

                    G = _Calque.AjouterGroupe("Contrainte plan");

                    _Select_Contraintes_PlanComp = G.AjouterSelectionBox("Plan dans le composant");
                    _Select_Contraintes_PlanComp.SelectionMultipleMemeEntite = false;
                    _Select_Contraintes_PlanComp.SelectionDansMultipleBox    = false;
                    _Select_Contraintes_PlanComp.UneSeuleEntite = true;
                    _Select_Contraintes_PlanComp.FiltreSelection(swSelectType_e.swSelDATUMPLANES);

                    _Select_Contraintes_PlanMarche = G.AjouterSelectionBox("Plan dans la marche");
                    _Select_Contraintes_PlanMarche.SelectionMultipleMemeEntite = false;
                    _Select_Contraintes_PlanMarche.SelectionDansMultipleBox    = false;
                    _Select_Contraintes_PlanMarche.UneSeuleEntite = true;
                    _Select_Contraintes_PlanMarche.FiltreSelection(swSelectType_e.swSelDATUMPLANES);

                    // OnCheck, on enregistre les parametres
                    _CheckBox_EnregistrerSelection.OnCheck += _Select_Marche.ApplyOnSelection;
                    _CheckBox_EnregistrerSelection.OnCheck += _Select_FonctionRepet.ApplyOnSelection;
                }
                catch (Exception e)
                { this.LogMethode(new Object[] { e }); }
            }
Пример #19
0
 /// <summary>
 /// This method is required for Windows Forms designer support.
 /// Do not change the method contents inside the source code editor. The Forms designer might
 /// not be able to load this method if it was changed manually.
 /// </summary>
 private void InitializeComponent()
 {
     this.btnEditReciple    = new Robot.CtrlButton();
     this.btnTestOutput     = new Robot.CtrlButton();
     this.tableLayoutPanel1 = new System.Windows.Forms.TableLayoutPanel();
     this.tableLayoutPanel2 = new System.Windows.Forms.TableLayoutPanel();
     this.btnSerialPort     = new Robot.CtrlButton();
     this.btnManualMode     = new Robot.CtrlButton();
     this.btnAutoMode       = new Robot.CtrlButton();
     this.tableLayoutPanel1.SuspendLayout();
     this.tableLayoutPanel2.SuspendLayout();
     this.SuspendLayout();
     //
     // btnEditReciple
     //
     this.btnEditReciple.BackColor   = System.Drawing.Color.Gainsboro;
     this.btnEditReciple.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
     this.btnEditReciple.Dock        = System.Windows.Forms.DockStyle.Fill;
     this.btnEditReciple.Location    = new System.Drawing.Point(7, 81);
     this.btnEditReciple.Margin      = new System.Windows.Forms.Padding(7);
     this.btnEditReciple.MaxLength   = 0;
     this.btnEditReciple.Name        = "btnEditReciple";
     this.btnEditReciple.Size        = new System.Drawing.Size(529, 60);
     this.btnEditReciple.TabIndex    = 2;
     this.btnEditReciple.Text        = "Edition Recette";
     this.btnEditReciple.TextAlign   = System.Drawing.ContentAlignment.MiddleCenter;
     this.btnEditReciple.Click      += new System.EventHandler(this.eShowfrmEditRecipe);
     //
     // btnTestOutput
     //
     this.btnTestOutput.BackColor   = System.Drawing.Color.Gainsboro;
     this.btnTestOutput.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
     this.btnTestOutput.Dock        = System.Windows.Forms.DockStyle.Fill;
     this.btnTestOutput.Location    = new System.Drawing.Point(7, 229);
     this.btnTestOutput.Margin      = new System.Windows.Forms.Padding(7);
     this.btnTestOutput.MaxLength   = 0;
     this.btnTestOutput.Name        = "btnTestOutput";
     this.btnTestOutput.Size        = new System.Drawing.Size(529, 60);
     this.btnTestOutput.TabIndex    = 3;
     this.btnTestOutput.Text        = "Test Output";
     this.btnTestOutput.TextAlign   = System.Drawing.ContentAlignment.MiddleCenter;
     this.btnTestOutput.Click      += new System.EventHandler(this.eShowfrmTestOutputs);
     //
     // tableLayoutPanel1
     //
     this.tableLayoutPanel1.ColumnCount = 1;
     this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 100F));
     this.tableLayoutPanel1.Controls.Add(this.tableLayoutPanel2, 0, 0);
     this.tableLayoutPanel1.Dock     = System.Windows.Forms.DockStyle.Fill;
     this.tableLayoutPanel1.Location = new System.Drawing.Point(0, 0);
     this.tableLayoutPanel1.Name     = "tableLayoutPanel1";
     this.tableLayoutPanel1.RowCount = 2;
     this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 65.85366F));
     this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 34.14634F));
     this.tableLayoutPanel1.Size     = new System.Drawing.Size(549, 577);
     this.tableLayoutPanel1.TabIndex = 5;
     //
     // tableLayoutPanel2
     //
     this.tableLayoutPanel2.ColumnCount = 1;
     this.tableLayoutPanel2.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 100F));
     this.tableLayoutPanel2.Controls.Add(this.btnSerialPort, 0, 4);
     this.tableLayoutPanel2.Controls.Add(this.btnManualMode, 0, 2);
     this.tableLayoutPanel2.Controls.Add(this.btnTestOutput, 0, 3);
     this.tableLayoutPanel2.Controls.Add(this.btnEditReciple, 0, 1);
     this.tableLayoutPanel2.Controls.Add(this.btnAutoMode, 0, 0);
     this.tableLayoutPanel2.Dock     = System.Windows.Forms.DockStyle.Fill;
     this.tableLayoutPanel2.Location = new System.Drawing.Point(3, 3);
     this.tableLayoutPanel2.Name     = "tableLayoutPanel2";
     this.tableLayoutPanel2.RowCount = 5;
     this.tableLayoutPanel2.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 20F));
     this.tableLayoutPanel2.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 20F));
     this.tableLayoutPanel2.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 20F));
     this.tableLayoutPanel2.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 20F));
     this.tableLayoutPanel2.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 20F));
     this.tableLayoutPanel2.Size     = new System.Drawing.Size(543, 373);
     this.tableLayoutPanel2.TabIndex = 2;
     //
     // btnSerialPort
     //
     this.btnSerialPort.BackColor   = System.Drawing.Color.Gainsboro;
     this.btnSerialPort.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
     this.btnSerialPort.Dock        = System.Windows.Forms.DockStyle.Fill;
     this.btnSerialPort.Location    = new System.Drawing.Point(7, 303);
     this.btnSerialPort.Margin      = new System.Windows.Forms.Padding(7);
     this.btnSerialPort.MaxLength   = 0;
     this.btnSerialPort.Name        = "btnSerialPort";
     this.btnSerialPort.Size        = new System.Drawing.Size(529, 63);
     this.btnSerialPort.TabIndex    = 5;
     this.btnSerialPort.Text        = "Serial Port";
     this.btnSerialPort.TextAlign   = System.Drawing.ContentAlignment.MiddleCenter;
     this.btnSerialPort.Click      += new System.EventHandler(this.BtnSerialPortClick);
     //
     // btnManualMode
     //
     this.btnManualMode.BackColor   = System.Drawing.Color.Gainsboro;
     this.btnManualMode.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
     this.btnManualMode.Dock        = System.Windows.Forms.DockStyle.Fill;
     this.btnManualMode.Location    = new System.Drawing.Point(7, 155);
     this.btnManualMode.Margin      = new System.Windows.Forms.Padding(7);
     this.btnManualMode.MaxLength   = 0;
     this.btnManualMode.Name        = "btnManualMode";
     this.btnManualMode.Size        = new System.Drawing.Size(529, 60);
     this.btnManualMode.TabIndex    = 3;
     this.btnManualMode.Text        = "Mode Manuel";
     this.btnManualMode.TextAlign   = System.Drawing.ContentAlignment.MiddleCenter;
     this.btnManualMode.Click      += new System.EventHandler(this.eShowfrmManualMode);
     //
     // btnAutoMode
     //
     this.btnAutoMode.BackColor   = System.Drawing.Color.Gainsboro;
     this.btnAutoMode.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
     this.btnAutoMode.Dock        = System.Windows.Forms.DockStyle.Fill;
     this.btnAutoMode.Location    = new System.Drawing.Point(7, 7);
     this.btnAutoMode.Margin      = new System.Windows.Forms.Padding(7);
     this.btnAutoMode.MaxLength   = 0;
     this.btnAutoMode.Name        = "btnAutoMode";
     this.btnAutoMode.Size        = new System.Drawing.Size(529, 60);
     this.btnAutoMode.TabIndex    = 4;
     this.btnAutoMode.Text        = "Mode Automatique";
     this.btnAutoMode.TextAlign   = System.Drawing.ContentAlignment.MiddleCenter;
     this.btnAutoMode.Click      += new System.EventHandler(this.eShowfrmAutomaticMode);
     //
     // MainForm
     //
     this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
     this.AutoScaleMode       = System.Windows.Forms.AutoScaleMode.Font;
     this.AutoSize            = true;
     this.ClientSize          = new System.Drawing.Size(549, 577);
     this.Controls.Add(this.tableLayoutPanel1);
     this.Name               = "MainForm";
     this.Text               = "Robot";
     this.WindowState        = System.Windows.Forms.FormWindowState.Maximized;
     this.FormClosing       += new System.Windows.Forms.FormClosingEventHandler(this.MainFormFormClosing);
     this.ClientSizeChanged += new System.EventHandler(this.MainFormClientSizeChanged);
     this.tableLayoutPanel1.ResumeLayout(false);
     this.tableLayoutPanel2.ResumeLayout(false);
     this.ResumeLayout(false);
 }